;;; lang-php.el --- Configuración para el lenguaje PHP

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;;; Code:

;;(use-package company-php :defer t)
;;(use-package ac-php :defer t)

(use-package php-mode
  :defer t
  :hook (php-mode . lsp)
  :hook (php-mode .  (lambda ()
                       (local-set-key (kbd "C-c d b") 'php-doc-block) ;; atajo para docblock
                       (company-mode t) ; habilita company mode
                       ;;(ac-php-core-eldoc-setup) ; habilita soporte para ELDoc
                       ;;(add-to-list 'company-backends '(company-capf company-ac-php-backend :with company-yasnippet)) ; Agregar ac-php para a company
                       ))
  )

(use-package php-doc-block
  :load-path (lambda() (concat private-dir "/packages/php-doc-block"))
  )

(provide 'lang-php)
;;; lang-php.el ends here
